## org-drill 2.7.0%2B20200412%2Bdfsg1

=== debian/changelog ===
org-drill (2.7.0+20200412+dfsg1-2) unstable; urgency=medium

  * source only upload

 -- Thomas Koch <thomas@koch.ro>  Mon, 02 Nov 2020 08:53:57 +0100

org-drill (2.7.0+20200412+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #947017)

 -- Thomas Koch <thomas@koch.ro>  Sun, 1 Nov 2020 20:09:06 +0100

## org-drill 2.7.0+20200412+dfsg1

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

-include makefile-local

ifdef EMACS
EMACS_ENV=EMACS=$(EMACS)
endif

all: robot-and-test

install:
	$(EMACS_ENV) $(CASK) install

test: install just-test

all-test: all-robot-test test

build:
	$(EMACS_ENV) $(CASK) build

robot-and-test: basic-robot-test just-test

just-test:
	$(EMACS_ENV) $(CASK) emacs --batch -q \
	--directory=. \
	--load assess-discover.el \
	--eval '(assess-discover-run-and-exit-batch t)'

DOCKER_TAG=26
test-cp:
	docker run -it --rm --name docker-cp -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-by-cp

test-git:
	docker run -it --rm --name docker-git -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-from-git

docker-test:
	$(MAKE) test-git DOCKER_TAG=26.2
	$(MAKE) test-cp DOCKER_TAG=26.2
	$(MAKE) test-git DOCKER_TAG=25.3
	$(MAKE) test-cp DOCKER_TAG=25.3

clean-elc:
	$(CASK) clean-elc

all-robot-test: basic-robot-test leitner-robot-test all-card-robot-test spanish-robot-test

basic-robot-test: clean-elc
	$(EMACS_ENV) ./robot/basic-run.sh $(SMALL)

leitner-robot-test: clean-elc
	$(EMACS_ENV) ./robot/leitner-run.sh $(SMALL)

all-card-robot-test: clean-elc
	$(EMACS_ENV) ./robot/all-card-run.sh $(SMALL)

spanish-robot-test: clean-elc
	$(EMACS_ENV) ./robot/spanish-run.sh $(SMALL)

explainer-robot-test: clean-elc
	$(EMACS_ENV) ./robot/explainer-run.sh $(SMALL)

.PHONY: test

=== test/Makefile ===
## what ever we called, don't do it here
default:
	$(MAKE) -C ..

$(MAKECMDGOALS):
	$(MAKE) -C .. $(MAKECMDGOALS)

=== debian/changelog ===
org-drill (2.7.0+20200412+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.
  * Bump Standards-Version to 4.7.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Mar 2025 15:04:19 +0800

org-drill (2.7.0+20200412+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:07:05 +0900

=== debian/control ===
Source: org-drill
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-assess,
 elpa-persist,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/org-drill
Vcs-Git: https://salsa.debian.org/emacsen-team/org-drill.git
Homepage: https://gitlab.com/phillord/org-drill
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-org-drill
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: emacs org-mode contrib for self-testing using spaced repetition
 Org-Drill is an extension for Org-mode. Org-Drill uses a spaced
 repetition algorithm to conduct interactive "drill sessions",
 using org files as sources of facts to be memorised. Each topic
 is treated as a "flash card". The material to be remembered is
 presented to the student in random order. The student rates
 his or her recall of each item, and this information is used to
 schedule the item for later revision.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true

override_dh_auto_install:
	/bin/true
